Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-sets-clone-1.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc-sets-clone-1.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-sets-clone-1.exp
@@ -495,6 +495,51 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="vm1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="vm2_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="vm3_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="vm4_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="stonithsys3_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="controld:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="clvmd:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="o2cb:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="iscsi1:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="iscsi2:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="vg1:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="vg2:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="fs2:1_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="nfs1:0_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="stonithsys2_monitor_0" on_node="sys3" on_node_uuid="sys3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="28" operation="stop" operation_key="stonithsys3_stop_0" on_node="sys2" on_node_uuid="sys2"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep4.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc_dep4.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep4.dot
@@ -1,16 +1,22 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"rsc1_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node1" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc3_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
+"rsc4_monitor_0 node2" -> "all_stopped" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep4.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc_dep4.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc_dep4.exp
@@ -118,6 +118,24 @@
     </action_set>
     <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="rsc3_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="9" operation="stop" operation_key="rsc4_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/simple6.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/simple6.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/simple6.dot
@@ -3,6 +3,7 @@
 "rsc1_stop_0 node1" -> "all_stopped" [ style = bold]
 "rsc1_stop_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc2_monitor_0 node1" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 node1" -> "rsc2_start_0 node1" [ style = bold]
 "rsc2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc2_start_0 node1" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/simple6.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/simple6.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/simple6.exp
@@ -41,6 +41,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="4" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/start-then-stop-with-unfence.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/start-then-stop-with-unfence.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/start-then-stop-with-unfence.dot
@@ -15,11 +15,13 @@ digraph "g" {
 "jrummy_start_0 rhel7-node1.example.com" -> "jrummy-clone_running_0" [ style = bold]
 "jrummy_start_0 rhel7-node1.example.com" -> "jrummy_monitor_10000 rhel7-node1.example.com" [ style = bold]
 "jrummy_start_0 rhel7-node1.example.com" [ style=bold color="green" fontcolor="black"]
+"mpath-node1_monitor_0 rhel7-node1.example.com" -> "all_stopped" [ style = bold]
 "mpath-node1_monitor_0 rhel7-node1.example.com" -> "mpath-node1_start_0 rhel7-node1.example.com" [ style = bold]
 "mpath-node1_monitor_0 rhel7-node1.example.com" [ style=bold color="green" fontcolor="black"]
 "mpath-node1_monitor_60000 rhel7-node1.example.com" [ style=bold color="green" fontcolor="black"]
 "mpath-node1_start_0 rhel7-node1.example.com" -> "mpath-node1_monitor_60000 rhel7-node1.example.com" [ style = bold]
 "mpath-node1_start_0 rhel7-node1.example.com" [ style=bold color="green" fontcolor="black"]
+"mpath-node2_monitor_0 rhel7-node1.example.com" -> "all_stopped" [ style = bold]
 "mpath-node2_monitor_0 rhel7-node1.example.com" [ style=bold color="green" fontcolor="black"]
 "stonith 'on' rhel7-node1.example.com" -> "ip1_start_0 rhel7-node1.example.com" [ style = bold]
 "stonith 'on' rhel7-node1.example.com" -> "jrummy_start_0 rhel7-node1.example.com" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/start-then-stop-with-unfence.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/start-then-stop-with-unfence.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/start-then-stop-with-unfence.exp
@@ -164,6 +164,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="mpath-node2_monitor_0" on_node="rhel7-node1.example.com" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="mpath-node1_monitor_0" on_node="rhel7-node1.example.com" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="14" operation="stop" operation_key="ip1_stop_0" on_node="rhel7-node2.example.com" on_node_uuid="2"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stonith-3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/stonith-3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stonith-3.dot
@@ -10,11 +10,13 @@ digraph "g" {
 "grpStonith:0_start_0" -> "grpStonith:0_running_0" [ style = bold]
 "grpStonith:0_start_0" -> "prmStonith:0_start_0 rh5node2" [ style = bold]
 "grpStonith:0_start_0" [ style=bold color="green" fontcolor="orange" ]
+"prmIpPostgreSQLDB_monitor_0 rh5node2" -> "all_stopped" [ style = bold]
 "prmIpPostgreSQLDB_monitor_0 rh5node2" -> "prmIpPostgreSQLDB_start_0 rh5node2" [ style = bold]
 "prmIpPostgreSQLDB_monitor_0 rh5node2" [ style=bold color="green" fontcolor="black" ]
 "prmIpPostgreSQLDB_monitor_30000 rh5node2" [ style=bold color="green" fontcolor="black" ]
 "prmIpPostgreSQLDB_start_0 rh5node2" -> "prmIpPostgreSQLDB_monitor_30000 rh5node2" [ style = bold]
 "prmIpPostgreSQLDB_start_0 rh5node2" [ style=bold color="green" fontcolor="black" ]
+"prmStonith:0_monitor_0 rh5node2" -> "all_stopped" [ style = bold]
 "prmStonith:0_monitor_0 rh5node2" -> "clnStonith_start_0" [ style = bold]
 "prmStonith:0_monitor_0 rh5node2" [ style=bold color="green" fontcolor="black" ]
 "prmStonith:0_start_0 rh5node2" -> "grpStonith:0_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stonith-3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/stonith-3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stonith-3.exp
@@ -147,6 +147,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="prmIpPostgreSQLDB_monitor_0" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="prmStonith:0_monitor_0" on_node="rh5node2" on_node_uuid="fb62f5f4-015c-466a-8778-7b5c1c5639d6"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stonith-4.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/stonith-4.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stonith-4.dot
@@ -1,9 +1,12 @@
 digraph "g" {
 "Fencing_monitor_0 pcmk-11" -> "Fencing_start_0 pcmk-1" [ style = dashed]
+"Fencing_monitor_0 pcmk-11" -> "all_stopped" [ style = dashed]
 "Fencing_monitor_0 pcmk-11" [ style=dashed color="red" fontcolor="black"]
 "Fencing_monitor_0 pcmk-2" -> "Fencing_start_0 pcmk-1" [ style = dashed]
+"Fencing_monitor_0 pcmk-2" -> "all_stopped" [ style = dashed]
 "Fencing_monitor_0 pcmk-2" [ style=dashed color="red" fontcolor="black"]
 "Fencing_monitor_0 pcmk-3" -> "Fencing_start_0 pcmk-1" [ style = dashed]
+"Fencing_monitor_0 pcmk-3" -> "all_stopped" [ style = dashed]
 "Fencing_monitor_0 pcmk-3" [ style=dashed color="red" fontcolor="black"]
 "Fencing_start_0 pcmk-1" [ style=dashed color="red" fontcolor="black"]
 "all_stopped" -> "Fencing_start_0 pcmk-1" [ style = dashed]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stop-failure-with-fencing.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/stop-failure-with-fencing.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stop-failure-with-fencing.dot
@@ -1,5 +1,6 @@
 digraph "g" {
 "ClusterIP_monitor_60000 pcmk-1" [ style=dashed color="red" fontcolor="black"]
+"Fencing_monitor_0 pcmk-1" -> "all_stopped" [ style = bold]
 "Fencing_monitor_0 pcmk-1" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "clvm-clone_stop_0" -> "clvm-clone_stopped_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stop-failure-with-fencing.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/stop-failure-with-fencing.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/stop-failure-with-fencing.exp
@@ -70,6 +70,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="Fencing_monitor_0" on_node="pcmk-1" on_node_uuid="101"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="12" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealth2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth2.dot
@@ -1,11 +1,13 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 hs21c" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" -> "apache_1_start_0 hs21c" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_monitor_10000 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_start_0 hs21c" -> "apache_1_monitor_10000 hs21c" [ style = bold]
 "apache_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" -> "nfs_1_start_0 hs21c" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "nfs_1_monitor_20000 hs21c" [ style=bold color="green" fontcolor="black" ]
@@ -13,6 +15,7 @@ digraph "g" {
 "nfs_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" -> "stonith-1_start_0 hs21c" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealth2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth2.exp
@@ -131,6 +131,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealth3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth3.dot
@@ -1,11 +1,13 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 hs21c" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" -> "apache_1_start_0 hs21c" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_monitor_10000 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_start_0 hs21c" -> "apache_1_monitor_10000 hs21c" [ style = bold]
 "apache_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" -> "nfs_1_start_0 hs21c" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "nfs_1_monitor_20000 hs21c" [ style=bold color="green" fontcolor="black" ]
@@ -13,6 +15,7 @@ digraph "g" {
 "nfs_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" -> "stonith-1_start_0 hs21c" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealth3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealth3.exp
@@ -131,6 +131,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthm2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm2.dot
@@ -1,11 +1,13 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 hs21c" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" -> "apache_1_start_0 hs21c" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_monitor_10000 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_start_0 hs21c" -> "apache_1_monitor_10000 hs21c" [ style = bold]
 "apache_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" -> "nfs_1_start_0 hs21c" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "nfs_1_monitor_20000 hs21c" [ style=bold color="green" fontcolor="black" ]
@@ -13,6 +15,7 @@ digraph "g" {
 "nfs_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" -> "stonith-1_start_0 hs21c" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthm2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm2.exp
@@ -131,6 +131,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthm3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm3.dot
@@ -1,9 +1,12 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthm3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthm3.exp
@@ -57,6 +57,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthn2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn2.dot
@@ -1,11 +1,13 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 hs21c" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" -> "apache_1_start_0 hs21c" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_monitor_10000 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_start_0 hs21c" -> "apache_1_monitor_10000 hs21c" [ style = bold]
 "apache_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" -> "nfs_1_start_0 hs21c" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "nfs_1_monitor_20000 hs21c" [ style=bold color="green" fontcolor="black" ]
@@ -13,6 +15,7 @@ digraph "g" {
 "nfs_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" -> "stonith-1_start_0 hs21c" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthn2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn2.exp
@@ -131,6 +131,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthn3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn3.dot
@@ -1,11 +1,13 @@
 digraph "g" {
 "all_stopped" -> "stonith-1_start_0 hs21c" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" -> "apache_1_start_0 hs21c" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_monitor_10000 hs21c" [ style=bold color="green" fontcolor="black" ]
 "apache_1_start_0 hs21c" -> "apache_1_monitor_10000 hs21c" [ style = bold]
 "apache_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" -> "nfs_1_start_0 hs21c" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "nfs_1_monitor_20000 hs21c" [ style=bold color="green" fontcolor="black" ]
@@ -13,6 +15,7 @@ digraph "g" {
 "nfs_1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" -> "stonith-1_start_0 hs21c" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 hs21c" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealthn3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealthn3.exp
@@ -131,6 +131,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="apache_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="nfs_1_monitor_0" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/systemhealtho2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/systemhealtho2.dot
@@ -1,9 +1,12 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"apache_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "apache_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
+"nfs_1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "nfs_1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith 'reboot' hs21d" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' hs21d" [ style=bold color="green" fontcolor="black"]
+"stonith-1_monitor_0 hs21c" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 hs21c" [ style=bold color="green" fontcolor="black" ]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange" ]
